<template lang="pug">
.profile-overview
	img.profile-pic(:src="user.pic")
	p.name {{ user.name }}'s Learning Circle
	.users-pics
		img(:src="user.pic" v-for="user in users" v-bind:class="{online: user.online}")

</template>

<script>
	export default {
		name: 'profile-overview',

		computed: {

			user() {
				return this.$store.state.user
			},

			users() {
				return this.$store.state.users
			}

		}
	}
</script>

<style lang="sass">
	.users-pics
		img
			border-radius: 50%
			height: 16px
			// padding: 2px
			margin: 2px
			border: 2px solid rgba(0, 0, 0, 0)

		.online
			border: 2px solid #2ecc71
</style>
